GET /api/synthetics/params/{id}

Spaces method and path for this operation:

get /s/{space_id}/api/synthetics/params/{id}

Refer to Spaces for more information.

Get a parameter from the Synthetics app.

You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read.

Path parameters

  • id string Required

    The unique identifier for the parameter.

    Minimum length is 1, maximum length is 1024.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • description string

      The description of the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • id string

      The unique identifier of the parameter.

    • key string

      The key of the parameter.

    • namespaces array[string]

      The namespaces associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • tags array[string]

      An array of tags associated with the parameter. It is included in the response if the user has read-only permissions to the Synthetics app.

    • value string

      The value associated with the parameter. It will be included in the response if the user has write permissions.

  • 404

    The parameter or the Kibana space does not exist.

GET /api/synthetics/params/{id}
curl \
  -X GET "${KIBANA_URL}/api/synthetics/params/param-id" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/params/param-id
Response examples (200)
A successful response for a user with read-only permissions to get a single parameter.
{
  "description": "Param to use in browser monitor",
  "id": "unique-parameter-id",
  "key": "your-api-key",
  "namespaces": [
    "namespace1",
    "namespace2"
  ],
  "tags": [
    "authentication",
    "security"
  ]
}
A successful response for a user with write permissions to get a single parameter.
{
  "description": "Param to use in browser monitor",
  "id": "unique-parameter-id",
  "key": "your-param-key",
  "namespaces": [
    "namespace1",
    "namespace2"
  ],
  "tags": [
    "authentication",
    "security"
  ],
  "value": "your-param-value"
}